[Linux] UI Refresh
Created attachment 
Linux Theme Design Spec

For the Linux theme revamp many elements will need to move, merge  hide
in the default configuration:

* The Menu Bar will be hidden by default
* Tabs above the navigation bar will be default (Bug #544815)
* The Home button will not be needed on the toolbar because of the addition of the Home Tab (Bug #544819)
* The Bookmarks Bar will be hidden by default for new profiles and profiles that have never modified the default contents (Bug #544817)
* A Bookmarks Menu Button that replicates the Bookmarks Menu will be placed to the right of the Search Bar (Bug #544817)
* The Refresh and Stop buttons will merge with the Go button attached to the Location Bar (Bug #544816)
* The Bookmarks Star will move to the left of the Location Bar
* Site Identity will move to an element inside the Location Bar (Details are still in progress)
* Introduce an App Button in the titlebar and an App Menu containing the streamlined contents of the Menu Bar (Bug #556174)

In addition there will be all new visuals. Many mockups covering various system themes and configurations can be found on the Wiki: 

Notable design considerations:

TitleBar Gradient - Get current titlebar gradient and extend to behind the tabs. Use theme native titlebar widgets. Use titlebar font for “Firefox” button.

Firefox  - Create Firefox  that resides in the titlebar. Should respect other system widgets in the titlebar.

Active Tab + Toolbar Backgrounds - Overlay white highlight gradient, edge effects, borders and shadows on window color.

Inactive Tab - Use window color at -20% luminance and saturation and  opacity. Alternatively get GTK theme inactive tab color at  opacity. Overlay gradients, edge effects, borders and shadows. Another possibility would be to use ThreeDShadow as a base color with gradient overlays.

Tab Progress Line - Use “Highlight” background color as base. Some themes like Ambiance use different color progress bars. Somehow extract that color?

Toolbar Buttons - Create adaptive toolbar buttons with translucent shades to fit any theme. Select icon set based on current theme or use SVG icons with base color using “Highlight” color.

Toolbar Fields - Use native fields for location and search bars.

See attachment for mockup.
